$spinner-color-1: #fff
$spinner-color-2: #0147b0

@keyframes calendar_spinner_animation
	to
		transform: rotate(360deg)


.event-calendar-spinner
	display: none
	height: 100%
	left: 0
	top: 0
	position: absolute
	width: 100%
	z-index: 1000

	&--active
		display: block

	&:before,
	&:after
		content: ''
		display: none
		position: absolute


	&:before
		background: rgba($spinner-color-1, 0.7)
		bottom: 0
		left: 0
		right: 0
		top: 0
		z-index: 1


	&:after
		animation: calendar_spinner_animation .8s linear infinite
		border: 3px solid $spinner-color-2
		border-top-color: $spinner-color-1
		border-radius: 50%
		display: none
		height: 60px
		left: 50%
		margin-top: -30px
		margin-left: -30px
		top: 50%
		width: 60px
		z-index: 2



	&:before,
	&:after
		display: block